using System;
using System.Collections.Generic;
using System.Text;

public enum StartPatterns
{
	// Const
	Block, 
	Snake, 
	Bowl, 
	Ship, 
	Pool, 
	LongShip, 
	Ferry, 
	Beehive, 
	
	// Oscillators
	Blinker, 
	Clock, 
	Eight, 
	
	// Glider
	Glider
}

static class GOLStartPattern
{
	// Const
	private static bool[,] Block = 
	{
		{false,	false,	false,	false}, 
		{false,	true,	true,	false}, 
		{false,	true,	true,	false}, 
		{false,	false,	false,	false}
	};

	private static bool[,] Snake = 
	{
		{false,	false,	false,	false}, 
		{true,	false,	true,	true}, 
		{true,	true,	false,	true}, 
		{false,	false,	false,	false}
	};

	private static bool[,] Bowl = 
	{
		{false,	false,	false,	false}, 
		{false,	true,	false,	false}, 
		{true,	false,	true,	false}, 
		{false,	true,	false,	false}
	};

	private static bool[,] Ship = 
	{
		{false,	false,	false,	false}, 
		{true,	true,	false,	false}, 
		{true,	false,	true,	false}, 
		{false,	true,	true,	false}
	};

	private static bool[,] Pool = 
	{
		{false,	true,	true,	false}, 
		{true,	false,	false,	true}, 
		{true,	false,	false,	true}, 
		{false,	true,	true,	false}
	};

	private static bool[,] LongShip = 
	{
		{true,	true,	false,	false}, 
		{true,	false,	true,	false}, 
		{false,	true,	false,	true}, 
		{false,	false,	true,	true}
	};

	private static bool[,] Ferry = 
	{
		{false,	true,	false,	false}, 
		{true,	false,	true,	false}, 
		{false,	true,	false,	true}, 
		{false,	false,	true,	false}
	};

	private static bool[,] Beehive = 
	{
		{false,	true,	false,	false}, 
		{true,	false,	true,	false}, 
		{true,	false,	true,	false}, 
		{false,	true,	false,	false}
	};

	// Oscilators
	private static bool[,] Blinker = 
	{
		{false,	false,	false,	false}, 
		{false,	false,	false,	false}, 
		{true,	true,	true,	false}, 
		{false,	false,	false,	false}
	};
	
	private static bool[,] Clock = 
	{
		{false,	true,	false,	false}, 
		{false,	false,	true,	true}, 
		{true,	true,	false,	false}, 
		{false,	false,	true,	false}
	};

	private static bool[,] Eight = 
	{
		{true,	true,	false,	false}, 
		{true,	true,	false,	false}, 
		{false,	false,	true,	true}, 
		{false,	false,	true,	true}
	};

	// Glider
	private static bool[,] Glider = 
	{
		{false,	false,	true,	false}, 
		{true,	false,	true,	false}, 
		{false,	true,	true,	false}, 
		{false,	false,	false,	false}
	};
	
	public static bool[,] GetStartPattern(StartPatterns pattern)
	{
		switch (pattern)
		{
			case StartPatterns.Block:
				return GOLStartPattern.Block;
			case StartPatterns.Snake:
				return GOLStartPattern.Snake;
			case StartPatterns.Bowl:
				return GOLStartPattern.Bowl;
			case StartPatterns.Ship:
				return GOLStartPattern.Ship;
			case StartPatterns.Pool:
				return GOLStartPattern.Pool;
			case StartPatterns.LongShip:
				return GOLStartPattern.LongShip;
			case StartPatterns.Ferry:
				return GOLStartPattern.Ferry;
			case StartPatterns.Beehive:
				return GOLStartPattern.Beehive;
			case StartPatterns.Blinker:
				return GOLStartPattern.Blinker;
			case StartPatterns.Clock:
				return GOLStartPattern.Clock;
			case StartPatterns.Eight:
				return GOLStartPattern.Eight;
			case StartPatterns.Glider:
				return GOLStartPattern.Glider;
			default:
				return null;
		}
	}
}